ARIA::Base Class Reference
Inheritance diagram for ARIA::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< ARIA_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, ARIA_Info > > >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, ARIA_Info > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm.
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm.
size_t | DefaultKeyLength () const
| The default key length used by the algorithm.
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm.
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm.
unsigned int | IVSize () const
| The initialization vector length for the algorithm.
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, ARIA_Info > > >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

Definition at line 42 of file aria.h.

## Constructor & Destructor Documentation

## Base()

ARIA::Base::Base | ( |  | ) |

inline

Definition at line 45 of file aria.h.

The documentation for this class was generated from the following files:

- aria.h
- aria.cpp